Subject: Interest in hosting a buildfarm animal

From: "Tristan Partin" <[email-masked]>
Date: Thu, 30 Apr 2026 18:19:40 +0000

Due to a recent change in position, I am now in the position to host 
buildfarm animals. Are there any configurations that don't have any 
testing or enough testing? Perhaps something valgrind related? Let me 
know!

-- 
Tristan Partin
PostgreSQL Contributors Team
AWS (https://aws.amazon.com)

---

From: Tom Lane <[email-masked]>
Date: Thu, 30 Apr 2026 14:35:55 -0400

> testing or enough testing? Perhaps something valgrind related? Let me 

One silly thing I think is uncovered is whether a production
build (*without* cassert or debug) gets any compiler warnings.
We've so often written code that will generate "unused variable"
or similar complaints if assertions are off, yet nobody notices
that till well after commit.  Developers are unlikely to test
that way, and there are next to no BF animals that do either.

			regards, tom lane